<?php
/**
* 404 Page Settings.
*
* @package Cargo And Shipping Company
*/

$cargo_and_shipping_company_default = cargo_and_shipping_company_get_default_theme_options();

$wp_customize->add_section( 'cargo_and_shipping_company_404_page_settings',
    array(
        'title'      => esc_html__( '404 Page Settings', 'cargo-and-shipping-company' ),
        'priority'   => 200,
        'capability' => 'edit_theme_options',
        'panel'      => 'cargo_and_shipping_company_theme_addons_panel',
    )
);

$wp_customize->add_setting( 'cargo_and_shipping_company_404_main_title',
    array(
        'default'           => $cargo_and_shipping_company_default['cargo_and_shipping_company_404_main_title'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'cargo_and_shipping_company_404_main_title',
    array(
        'label'    => esc_html__( '404 Main Title', 'cargo-and-shipping-company' ),
        'section'  => 'cargo_and_shipping_company_404_page_settings',
        'type'     => 'text',
    )
);

$wp_customize->add_setting( 'cargo_and_shipping_company_404_subtitle_one',
    array(
        'default'           => $cargo_and_shipping_company_default['cargo_and_shipping_company_404_subtitle_one'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'cargo_and_shipping_company_404_subtitle_one',
    array(
        'label'    => esc_html__( '404 Sub Title One', 'cargo-and-shipping-company' ),
        'section'  => 'cargo_and_shipping_company_404_page_settings',
        'type'     => 'text',
    )
);

$wp_customize->add_setting( 'cargo_and_shipping_company_404_para_one',
    array(
        'default'           => $cargo_and_shipping_company_default['cargo_and_shipping_company_404_para_one'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'cargo_and_shipping_company_404_para_one',
    array(
        'label'    => esc_html__( '404 Para Text One', 'cargo-and-shipping-company' ),
        'section'  => 'cargo_and_shipping_company_404_page_settings',
        'type'     => 'text',
    )
);

$wp_customize->add_setting( 'cargo_and_shipping_company_404_subtitle_two',
    array(
        'default'           => $cargo_and_shipping_company_default['cargo_and_shipping_company_404_subtitle_two'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'cargo_and_shipping_company_404_subtitle_two',
    array(
        'label'    => esc_html__( '404 Sub Title Two', 'cargo-and-shipping-company' ),
        'section'  => 'cargo_and_shipping_company_404_page_settings',
        'type'     => 'text',
    )
);

$wp_customize->add_setting( 'cargo_and_shipping_company_404_para_two',
    array(
        'default'           => $cargo_and_shipping_company_default['cargo_and_shipping_company_404_para_two'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'cargo_and_shipping_company_404_para_two',
    array(
        'label'    => esc_html__( '404 Para Text Two', 'cargo-and-shipping-company' ),
        'section'  => 'cargo_and_shipping_company_404_page_settings',
        'type'     => 'text',
    )
);